Bug 729118 - Empathy somehow messes up Google Talk password
Summary: Empathy somehow messes up Google Talk password
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 18:40 UTC by eric@christensenplace.us
Modified: 2012-08-07 15:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:05:58 UTC


Attachments (Terms of Use)

Description eric@christensenplace.us 2011-08-08 18:40:23 UTC
Description of problem: I am using the Google multi-factor authentication option which generates sixteen-character passwords for me to use on programs that can't support multi-factor authentication (like Empathy).  When I set the password in Empathy for that session everything works fine.  As soon as I restart Empathy it can no longer authenticate with Google.

I'm using other programs with the static passwords and have not had this problem.


Version-Release number of selected component (if applicable): 3.0.2-3.fc15


How reproducible: Always


Steps to Reproduce:
1. Set password.
2. Use Empathy
3. Restart Empathy
  
Actual results: Empathy fails to authenticate.


Expected results: Empathy authenticates with Google and all is right with the world.


Additional info: I haven't had a chance to really dive into this bug as much as I'd like to.  Please let me know if there is something I can check out to see if it's actually saving all of the password or not.

Comment 1 Christopher Beland 2011-09-12 15:49:00 UTC
I am experiencing a problem which I suspect is related.

I am connected to a Jabber server.  Based on the length of the password, it looks like Empathy is remembering my previous password, not my current one.  Authentication fails every time until I put in my current password again.  Then it only works during the current session.  I can't get it to forget my old password no matter what combination of clicking and unclicking "Remember password" and re-entering I have been able to think of.

empathy-3.0.2-3.fc15.x86_64

Comment 2 Christopher Beland 2012-06-02 23:27:01 UTC
Clearning all my Empathy preferences on disk and restarting did indeed fix this.

Comment 3 Fedora End Of Life 2012-08-07 15:06:00 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.